/**
 * 蜡笔森林接口文档
 */
import httputils from "@/api/httputils";
const baseApi = "/labsl";

/**
 * 文件夹相关接口
 */
// 创建文件夹
export function folderCreate(postParams: any): any {
    return httputils.postJson(`${baseApi}/planar/folder/create`, postParams);
}

// 删除文件夹
export function folderDelete(postParams: any): any {
    return httputils.postJson(`${baseApi}/planar/folder/delete`, postParams);
}

// 修改文件夹信息
export function folderUpdate(postParams: any): any {
    return httputils.postJson(`${baseApi}/planar/folder/update`, postParams);
}

// 查询文件夹信息
export function folderQuery(postParams: any): any {
    return httputils.postJson(`${baseApi}/planar/folder/query`, postParams);
}

/**
 * 未发布的平面图接口
 */
// 未发布 - 创建单个平面图
export function planarCreate(postParams: any): any {
    return httputils.postJson(`${baseApi}/planar/graph/drafts/create`, postParams);
}
// 未发布 - 发布平面图
export function planerPublish(postParams: any): any {
    return httputils.postJson(`${baseApi}/planar/graph/drafts/publish`, postParams);
}
// 未发布 - 查询平面图信息
export function planerQuery(postParams: any): any {
    return httputils.postJson(`${baseApi}/planar/graph/drafts/query`, postParams);
}
// 未发布 - 移至回收站
export function planerRecycle(postParams: any): any {
    return httputils.postJson(`${baseApi}/planar/graph/drafts/recycle`, postParams);
}
// 未发布 - 更新平面图信息
export function planerUpdate(postParams: any): any {
    return httputils.postJson(`${baseApi}/planar/graph/drafts/update`, postParams);
}
// 未发布 - 查询图形以及所有节点信息
export function planerRead(postParams: any): any {
    return httputils.postJson(`${baseApi}/planar/graph/drafts/read`, postParams);
}
// 未发布 - 保存图形
export function planerSave(postParams: any): any {
    return httputils.postJson(`${baseApi}/planar/graph/drafts/save`, postParams);
}
/**
 * 已发布的平面图接口
 */
// 已发布 - 查询平面图信息
export function pubPlanerQuery(postParams: any): any {
    return httputils.postJson(`${baseApi}/planar/graph/pub/query`, postParams);
}
// 已发布 - 移至回收站
export function pubPlanerRecycle(postParams: any): any {
    return httputils.postJson(`${baseApi}/planar/graph/pub/recycle`, postParams);
}
// 已发布 - 更新平面图信息
export function pubPlanerUpdate(postParams: any): any {
    return httputils.postJson(`${baseApi}/planar/graph/pub/update`, postParams);
}
// 已发布 - 查询图形以及所有节点信息
export function pubPlanerRead(postParams: any): any {
    return httputils.postJson(`${baseApi}/planar/graph/pub/read`, postParams);
}

// 平面图-规则
export function ruleCreate(postParams: any): any {
    return httputils.postJson(`${baseApi}/planar/rule/create`, postParams);
}
