/*
 * *********************************************************************************************************************
 *
 *          !!
 *        .F88X
 *        X8888Y
 *      .}888888N;
 *        i888888N;        .:!              .I$WI:
 *          R888888I      .'N88~            i8}+8Y&8"l8i$8>8W~'>W8}8]KW+8IIN"8&
 *          .R888888I    .;N8888~          .X8'  "8I.!,/8"  !%NY8`"8I8~~8>,88I
 *            +888888N;  .8888888Y                                  "&&8Y.}8,
 *            ./888888N;  .R888888Y        .'}~    .>}'.`+>  i}!    "i'  +/'  .'i~  !11,.:">,  .~]!  .i}i
 *              ~888888%:  .I888888l      .]88~`1/iY88Ii+1'.R$8$8]"888888888>  Y8$  W8E  X8E  W8888'188Il}Y88$*
 *              18888888    E8888881    .]W%8$`R8X'&8%++N8i,8N%N8+l8%`  .}8N:.R$RE%N88N%N$K$R  188,FE$8%~Y88I
 *            .E888888I  .i8888888'      .:$8I;88+`E8R:/8N,.>881.`$8E/1/]N8X.Y8N`"KF&&FK!'88*."88K./$88%RN888+~
 *            8888888I  .,N888888~        ~88i"8W,!N8*.I88.}888%F,i$88"F88"  888:E8X.>88!i88>`888*.}Fl1]*}1YKi'
 *          i888888N'      I888Y          ]88;/EX*IFKFK88X  K8R  .l8W  88Y  ~88}'88E&%8W.X8N``]88!.$8K  .:W8I
 *        .i888888N;        I8Y          .&8$  .X88!  i881.:%888>I88  ;88]  +88+.';;;;:.Y88X  18N.,88l  .+88/
 *      .:R888888I
 *      .&888888I                                          Copyright (c) 2016-2020.  博锐尚格科技股份有限公司
 *        ~8888'
 *        .!88~                                                                     All rights reserved.
 *
 * *********************************************************************************************************************
 */

import { Anchor } from "@persagy-web/big-edit";
import { Point } from "@persagy-web/edit/lib/type/Point";
import { Size } from "@persagy-web/big/lib/types/Size";
import { BigPoint } from "@persagy-web/big/lib/types/BigPoint";

/**
 * 实例接口
 *
 * @author 张宇 <taohuzy@163.com>
 */
export interface Example {
    /** 实例id */
    id: string;
    /** 实例名称 */
    name: string;
    /** 位置 */
    pos: Point;
    /** 文本位置 */
    textPos: Point;
    /** 实例类型 */
    classCode: string;
    /** 实例名称 */
    codeName: string;
    /** bim坐标字符串 */
    bimLocation?: string;
    /** bim坐标对象 */
    locationJson?: Point;
    /** 建筑id */
    buildingId?: string;
    /** 楼层id */
    floorId?: string;
    /** 实例本地编码 */
    localId?: string;
    /** 实例本地名称 */
    localName?: string;
    /** 实例附加数据 */
    anotherMsg?: string;
    /** 图 id */
    graphId?: string;
    /** 图例实例 id */
    nodeId?: string;
    /** 返回物理世界对象 ID 列表 */
    attachObjectIds?: any[];
    /** 对应的图元 ID */
    graphElementId?: string;
    /** 缩放 */
    scale?: Point;
    /** 旋转 */
    rolate?: Point;
    /** 大小 */
    size?: Size;
    /** 锚点 List */
    anchorList?: Anchor[];
    /** 轮廓线 */
    outline?: BigPoint[][][];
    /** 由应用自己定义 */
    properties?: any;
}
